Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network154.45.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
154.45.0.0
Broadcast address
154.45.127.255
First usable
154.45.0.1
Last usable
154.45.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex 9A2D0000 · Integer 2586640384 to 2586673151
Reverse DNS zones
0.45.154.in-addr.arpa
1.45.154.in-addr.arpa
2.45.154.in-addr.arpa
3.45.154.in-addr.arpa
4.45.154.in-addr.arpa
5.45.154.in-addr.arpa
6.45.154.in-addr.arpa
7.45.154.in-addr.arpa
8.45.154.in-addr.arpa
9.45.154.in-addr.arpa
10.45.154.in-addr.arpa
11.45.154.in-addr.arpa
12.45.154.in-addr.arpa
13.45.154.in-addr.arpa
14.45.154.in-addr.arpa
15.45.154.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011010.00101101.00000000.00000000154.45.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10011010.00101101.00000000.00000000154.45.0.0
Broadcast10011010.00101101.01111111.11111111154.45.127.255
Split into smaller subnets/24

154.45.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1154.45.0.0/24154.45.0.1 to 154.45.0.254154.45.0.255254
2154.45.1.0/24154.45.1.1 to 154.45.1.254154.45.1.255254
3154.45.2.0/24154.45.2.1 to 154.45.2.254154.45.2.255254
4154.45.3.0/24154.45.3.1 to 154.45.3.254154.45.3.255254
5154.45.4.0/24154.45.4.1 to 154.45.4.254154.45.4.255254
6154.45.5.0/24154.45.5.1 to 154.45.5.254154.45.5.255254
7154.45.6.0/24154.45.6.1 to 154.45.6.254154.45.6.255254
8154.45.7.0/24154.45.7.1 to 154.45.7.254154.45.7.255254
9154.45.8.0/24154.45.8.1 to 154.45.8.254154.45.8.255254
10154.45.9.0/24154.45.9.1 to 154.45.9.254154.45.9.255254
11154.45.10.0/24154.45.10.1 to 154.45.10.254154.45.10.255254
12154.45.11.0/24154.45.11.1 to 154.45.11.254154.45.11.255254
13154.45.12.0/24154.45.12.1 to 154.45.12.254154.45.12.255254
14154.45.13.0/24154.45.13.1 to 154.45.13.254154.45.13.255254
15154.45.14.0/24154.45.14.1 to 154.45.14.254154.45.14.255254
16154.45.15.0/24154.45.15.1 to 154.45.15.254154.45.15.255254
17154.45.16.0/24154.45.16.1 to 154.45.16.254154.45.16.255254
18154.45.17.0/24154.45.17.1 to 154.45.17.254154.45.17.255254
19154.45.18.0/24154.45.18.1 to 154.45.18.254154.45.18.255254
20154.45.19.0/24154.45.19.1 to 154.45.19.254154.45.19.255254
21154.45.20.0/24154.45.20.1 to 154.45.20.254154.45.20.255254
22154.45.21.0/24154.45.21.1 to 154.45.21.254154.45.21.255254
23154.45.22.0/24154.45.22.1 to 154.45.22.254154.45.22.255254
24154.45.23.0/24154.45.23.1 to 154.45.23.254154.45.23.255254
25154.45.24.0/24154.45.24.1 to 154.45.24.254154.45.24.255254
26154.45.25.0/24154.45.25.1 to 154.45.25.254154.45.25.255254
27154.45.26.0/24154.45.26.1 to 154.45.26.254154.45.26.255254
28154.45.27.0/24154.45.27.1 to 154.45.27.254154.45.27.255254
29154.45.28.0/24154.45.28.1 to 154.45.28.254154.45.28.255254
30154.45.29.0/24154.45.29.1 to 154.45.29.254154.45.29.255254
31154.45.30.0/24154.45.30.1 to 154.45.30.254154.45.30.255254
32154.45.31.0/24154.45.31.1 to 154.45.31.254154.45.31.255254
33154.45.32.0/24154.45.32.1 to 154.45.32.254154.45.32.255254
34154.45.33.0/24154.45.33.1 to 154.45.33.254154.45.33.255254
35154.45.34.0/24154.45.34.1 to 154.45.34.254154.45.34.255254
36154.45.35.0/24154.45.35.1 to 154.45.35.254154.45.35.255254
37154.45.36.0/24154.45.36.1 to 154.45.36.254154.45.36.255254
38154.45.37.0/24154.45.37.1 to 154.45.37.254154.45.37.255254
39154.45.38.0/24154.45.38.1 to 154.45.38.254154.45.38.255254
40154.45.39.0/24154.45.39.1 to 154.45.39.254154.45.39.255254
41154.45.40.0/24154.45.40.1 to 154.45.40.254154.45.40.255254
42154.45.41.0/24154.45.41.1 to 154.45.41.254154.45.41.255254
43154.45.42.0/24154.45.42.1 to 154.45.42.254154.45.42.255254
44154.45.43.0/24154.45.43.1 to 154.45.43.254154.45.43.255254
45154.45.44.0/24154.45.44.1 to 154.45.44.254154.45.44.255254
46154.45.45.0/24154.45.45.1 to 154.45.45.254154.45.45.255254
47154.45.46.0/24154.45.46.1 to 154.45.46.254154.45.46.255254
48154.45.47.0/24154.45.47.1 to 154.45.47.254154.45.47.255254
49154.45.48.0/24154.45.48.1 to 154.45.48.254154.45.48.255254
50154.45.49.0/24154.45.49.1 to 154.45.49.254154.45.49.255254
51154.45.50.0/24154.45.50.1 to 154.45.50.254154.45.50.255254
52154.45.51.0/24154.45.51.1 to 154.45.51.254154.45.51.255254
53154.45.52.0/24154.45.52.1 to 154.45.52.254154.45.52.255254
54154.45.53.0/24154.45.53.1 to 154.45.53.254154.45.53.255254
55154.45.54.0/24154.45.54.1 to 154.45.54.254154.45.54.255254
56154.45.55.0/24154.45.55.1 to 154.45.55.254154.45.55.255254
57154.45.56.0/24154.45.56.1 to 154.45.56.254154.45.56.255254
58154.45.57.0/24154.45.57.1 to 154.45.57.254154.45.57.255254
59154.45.58.0/24154.45.58.1 to 154.45.58.254154.45.58.255254
60154.45.59.0/24154.45.59.1 to 154.45.59.254154.45.59.255254
61154.45.60.0/24154.45.60.1 to 154.45.60.254154.45.60.255254
62154.45.61.0/24154.45.61.1 to 154.45.61.254154.45.61.255254
63154.45.62.0/24154.45.62.1 to 154.45.62.254154.45.62.255254
64154.45.63.0/24154.45.63.1 to 154.45.63.254154.45.63.255254
65154.45.64.0/24154.45.64.1 to 154.45.64.254154.45.64.255254
66154.45.65.0/24154.45.65.1 to 154.45.65.254154.45.65.255254
67154.45.66.0/24154.45.66.1 to 154.45.66.254154.45.66.255254
68154.45.67.0/24154.45.67.1 to 154.45.67.254154.45.67.255254
69154.45.68.0/24154.45.68.1 to 154.45.68.254154.45.68.255254
70154.45.69.0/24154.45.69.1 to 154.45.69.254154.45.69.255254
71154.45.70.0/24154.45.70.1 to 154.45.70.254154.45.70.255254
72154.45.71.0/24154.45.71.1 to 154.45.71.254154.45.71.255254
73154.45.72.0/24154.45.72.1 to 154.45.72.254154.45.72.255254
74154.45.73.0/24154.45.73.1 to 154.45.73.254154.45.73.255254
75154.45.74.0/24154.45.74.1 to 154.45.74.254154.45.74.255254
76154.45.75.0/24154.45.75.1 to 154.45.75.254154.45.75.255254
77154.45.76.0/24154.45.76.1 to 154.45.76.254154.45.76.255254
78154.45.77.0/24154.45.77.1 to 154.45.77.254154.45.77.255254
79154.45.78.0/24154.45.78.1 to 154.45.78.254154.45.78.255254
80154.45.79.0/24154.45.79.1 to 154.45.79.254154.45.79.255254
81154.45.80.0/24154.45.80.1 to 154.45.80.254154.45.80.255254
82154.45.81.0/24154.45.81.1 to 154.45.81.254154.45.81.255254
83154.45.82.0/24154.45.82.1 to 154.45.82.254154.45.82.255254
84154.45.83.0/24154.45.83.1 to 154.45.83.254154.45.83.255254
85154.45.84.0/24154.45.84.1 to 154.45.84.254154.45.84.255254
86154.45.85.0/24154.45.85.1 to 154.45.85.254154.45.85.255254
87154.45.86.0/24154.45.86.1 to 154.45.86.254154.45.86.255254
88154.45.87.0/24154.45.87.1 to 154.45.87.254154.45.87.255254
89154.45.88.0/24154.45.88.1 to 154.45.88.254154.45.88.255254
90154.45.89.0/24154.45.89.1 to 154.45.89.254154.45.89.255254
91154.45.90.0/24154.45.90.1 to 154.45.90.254154.45.90.255254
92154.45.91.0/24154.45.91.1 to 154.45.91.254154.45.91.255254
93154.45.92.0/24154.45.92.1 to 154.45.92.254154.45.92.255254
94154.45.93.0/24154.45.93.1 to 154.45.93.254154.45.93.255254
95154.45.94.0/24154.45.94.1 to 154.45.94.254154.45.94.255254
96154.45.95.0/24154.45.95.1 to 154.45.95.254154.45.95.255254
97154.45.96.0/24154.45.96.1 to 154.45.96.254154.45.96.255254
98154.45.97.0/24154.45.97.1 to 154.45.97.254154.45.97.255254
99154.45.98.0/24154.45.98.1 to 154.45.98.254154.45.98.255254
100154.45.99.0/24154.45.99.1 to 154.45.99.254154.45.99.255254
101154.45.100.0/24154.45.100.1 to 154.45.100.254154.45.100.255254
102154.45.101.0/24154.45.101.1 to 154.45.101.254154.45.101.255254
103154.45.102.0/24154.45.102.1 to 154.45.102.254154.45.102.255254
104154.45.103.0/24154.45.103.1 to 154.45.103.254154.45.103.255254
105154.45.104.0/24154.45.104.1 to 154.45.104.254154.45.104.255254
106154.45.105.0/24154.45.105.1 to 154.45.105.254154.45.105.255254
107154.45.106.0/24154.45.106.1 to 154.45.106.254154.45.106.255254
108154.45.107.0/24154.45.107.1 to 154.45.107.254154.45.107.255254
109154.45.108.0/24154.45.108.1 to 154.45.108.254154.45.108.255254
110154.45.109.0/24154.45.109.1 to 154.45.109.254154.45.109.255254
111154.45.110.0/24154.45.110.1 to 154.45.110.254154.45.110.255254
112154.45.111.0/24154.45.111.1 to 154.45.111.254154.45.111.255254
113154.45.112.0/24154.45.112.1 to 154.45.112.254154.45.112.255254
114154.45.113.0/24154.45.113.1 to 154.45.113.254154.45.113.255254
115154.45.114.0/24154.45.114.1 to 154.45.114.254154.45.114.255254
116154.45.115.0/24154.45.115.1 to 154.45.115.254154.45.115.255254
117154.45.116.0/24154.45.116.1 to 154.45.116.254154.45.116.255254
118154.45.117.0/24154.45.117.1 to 154.45.117.254154.45.117.255254
119154.45.118.0/24154.45.118.1 to 154.45.118.254154.45.118.255254
120154.45.119.0/24154.45.119.1 to 154.45.119.254154.45.119.255254
121154.45.120.0/24154.45.120.1 to 154.45.120.254154.45.120.255254
122154.45.121.0/24154.45.121.1 to 154.45.121.254154.45.121.255254
123154.45.122.0/24154.45.122.1 to 154.45.122.254154.45.122.255254
124154.45.123.0/24154.45.123.1 to 154.45.123.254154.45.123.255254
125154.45.124.0/24154.45.124.1 to 154.45.124.254154.45.124.255254
126154.45.125.0/24154.45.125.1 to 154.45.125.254154.45.125.255254
127154.45.126.0/24154.45.126.1 to 154.45.126.254154.45.126.255254
128154.45.127.0/24154.45.127.1 to 154.45.127.254154.45.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses